summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/rospkg/rospkg-1.1.0-r1.ebuild')
-rw-r--r--dev-python/rospkg/rospkg-1.1.0-r1.ebuild44
1 files changed, 44 insertions, 0 deletions
diff --git a/dev-python/rospkg/rospkg-1.1.0-r1.ebuild b/dev-python/rospkg/rospkg-1.1.0-r1.ebuild
new file mode 100644
index 00000000000..6ed953cac50
--- /dev/null
+++ b/dev-python/rospkg/rospkg-1.1.0-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/ros-infrastructure/rospkg"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Standalone Python library for the ROS package system"
+HOMEPAGE="http://wiki.ros.org/rospkg"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+ # Needed for tests
+ S="${WORKDIR}/${PN}"
+ EGIT_CHECKOUT_DIR="${S}"
+else
+ SRC_URI="https://github.com/ros-infrastructure/rospkg/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="dev-python/pyyaml[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ )
+"
+PATCHES=( "${FILESDIR}/gentoo.patch" )
+
+python_test() {
+ nosetests --with-coverage --cover-package=rospkg --with-xunit test || die
+}